### Hierarchy

- ComponentSettingOptions

## Index

### Properties

- component
- inputs
- outputs

## Properties

### component

component: any

- Defined in packages/angular/src/toolkit/table-settings/settings/component-setting.class.ts:12

### Optional inputs

inputs: InputMap

- Defined in packages/angular/src/toolkit/table-settings/settings/component-setting.class.ts:13

### Optional outputs

outputs: OutputMap

- Defined in packages/angular/src/toolkit/table-settings/settings/component-setting.class.ts:14

Generated using TypeDoc